summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* Drop remaining $Id$ and $Header$ from files.Ulrich Müller2017-02-282-2/+0
| | | | Bug: 611234
* Drop $Id$ per council decision in bug #611234.Robin H. Johnson2017-02-282-2/+0
| | | | Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
* mail-filter/spamassassin: disable interactive prompts properly.Michael Orlitzky2017-01-301-6/+7
| | | | | | | | | | | | | | | | | | The PERL_MM_USE_DEFAULT variable is used to disable the interactive prompts in SpamAssassin's build system. However, when I dropped the perl-module.eclass a while back, I only set the variable where it seemed to be necessary. Where it is necessary turns out to depend on the package manager, because different package managers may treat the controlling terminal and file descriptors differently, and that's how MakeMaker decides whether or not to prompt you. That problem manifests in Paludis, and is hopefully fixed by exporting PERL_MM_USE_DEFAULT=1 sooner, in src_configure(). This change should only affect the build, so it is made without a new revision. Gentoo-Bug: 604518 Package-Manager: portage-2.3.0
* mail-filter/spamassassin: remove old version spamassassin-3.4.0-r1.Michael Orlitzky2017-01-012-213/+0
| | | | Package-Manager: portage-2.3.0
* mail-filter/spamassassin: ppc stable wrt bug #594430Agostino Sarubbo2017-01-011-2/+2
| | | | | | Package-Manager: portage-2.3.0 RepoMan-Options: --include-arches="ppc" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* mail-filter/spamassassin: ia64 stable wrt bug #594430Agostino Sarubbo2016-12-301-1/+1
| | | | | | Package-Manager: portage-2.3.0 RepoMan-Options: --include-arches="ia64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* mail-filter/spamassassin: sparc stable wrt bug #594430Agostino Sarubbo2016-12-301-1/+1
| | | | | | Package-Manager: portage-2.3.0 RepoMan-Options: --include-arches="sparc" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* mail-filter/spamassassin: new revision with fixed packlist.Michael Orlitzky2016-12-231-1/+9
| | | | | | | | | | SpamAssassin, being a perl package, installs a ".packlist" file. By default that file contains paths from ${D}, our temporary installation directory. This new revision adds a call to perl_fix_packlist() from the perl-functions eclass, which replaces those incorrect paths with the correct ones on the root filesystem. Package-Manager: portage-2.3.0
* mail-filter/spamassassin: fix minor typo in comment and error message.Michael Orlitzky2016-12-231-2/+2
| | | | Package-Manager: portage-2.3.0
* mail-filter/spamassassin: call perl_delete_localpodPhilippe Chaintreuil2016-12-231-0/+244
| | | | | | | | | | Call perl_delete_localpod to avoid collisions. Gentoo-Bug: 603338 Package-Manager: portage-2.3.0 Signed-off-by: Michael Orlitzky <mjo@gentoo.org>
* mail-filter/spamassassin: x86 stable (bug #594430)Thomas Deutschmann2016-12-201-1/+1
| | | | Package-Manager: Portage-2.3.2, Repoman-2.3.1
* mail-filter/spamassassin-3.4.1-r8: stable on amd64Tobias Klausmann2016-12-201-1/+1
| | | | Gentoo-Bug: 594430
* mail-filter/spamassassin: arm stable, bug #594430Markus Meier2016-10-051-1/+1
| | | | | Package-Manager: portage-2.3.1 RepoMan-Options: --include-arches="arm"
* mail-filter/spamassassin: Stable for HPPA PPC64 (bug #594430).Jeroen Roovers2016-10-011-1/+1
| | | | | Package-Manager: portage-2.3.1 RepoMan-Options: --ignore-arches
* mail-filter/spamassassin-3.4.1-r8: stable on alphaTobias Klausmann2016-09-291-1/+1
| | | | Gentoo-Bug: 594430
* mail-filter/spamassassin: new revision with correct build dependencies.Michael Orlitzky2016-09-051-31/+56
| | | | | | | | | | | | | | | | | | | | The existing dependencies for spamassassin were all thrown into DEPEND and then propagated to RDEPEND -- even the ones that were obviously only needed at runtime. Marcin Mirosław helped track down the correct value of DEPEND, and the rest of the optional dependencies were moved to RDEPEND. The required and optional dependencies are now stored in REQDEPEND/OPTDEPEND variables to eliminate duplication. This is primarily useful with USE=test, which makes DEPEND a superset of RDEPEND, since the other inclusion alreads holds normally. Once the test suite had the correct dependencies, the RESTRICT=test was removed, and problematic spamc/spamd tests were disabled. The test suite should pass now. Gentoo-Bug: 592682 Package-Manager: portage-2.2.28
* mail-filter/spamassassin: new revision adding a Net-CIDR-Lite dependency.Michael Orlitzky2016-09-021-5/+6
| | | | | | | The Net::CIDR::Lite Perl module is used by SpamAssassin's URILocalBL plugin, so it has been added to RDEPEND (dev-perl/Net-CIDR-Lite). Package-Manager: portage-2.2.28
* mail-filter/spamassassin: remove unused files/spamassassin.service.Michael Orlitzky2016-06-061-14/+0
| | | | Package-Manager: portage-2.2.28
* mail-filter/spamassassin: update metadata.xml with new maintainers.Michael Orlitzky2016-06-051-1/+20
| | | | | | | | | | | | | | We had a few users request to proxy-maintain this package. Now that its open bugs are fixed, this commit adds two of those users (Philippe Chaintreuil and Marcin Mirosław) to metadata.xml. The Proxy Maintainers project has been added to support them. I've added myself, too, for now, so that I will be CCed on bugs arising from my recent changes. Gentoo-Bug: 583908 Package-Manager: portage-2.2.28
* mail-filter/spamassassin: remove old unstable revisions.Michael Orlitzky2016-06-055-1065/+0
| | | | Package-Manager: portage-2.2.28
* mail-filter/spamassassin: new revision with an optional sa-update cron job.Michael Orlitzky2016-06-053-6/+262
| | | | | | | | | | | | | | | | | To make life easier for our users, a cron job that runs sa-update nightly has been provided. It is only installed with USE=cron, but an elog will mention its existence when that USE flag is disabled. The cron job will also attempt to restart or reload spamd/amavisd if the signatures have been updated. Alongside that new feature, some of the dependencies have been cleaned up. Pointless version bounds were removed, and an obsolete perl module or two was pruned. The libwww-perl dependency was replaced by wget/curl. Gentoo-Bug: 532094 Package-Manager: portage-2.2.28
* mail-filter/spamassassin: new revision with LibreSSL and spamd fixes.Michael Orlitzky2016-06-044-0/+557
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | This new revision adds another patch for upstream bugs 7093/7199. The sslv3 option for spamd didn't do what it was supposed to do, and moreover, it broke LibreSSL which no longer supports SSLv3. The patch removes the option and makes it an error. There is a simple fix for users, to remove the --ssl-version option if they are using it. Thanks to Reuben Farrelly for reporting the issue. The second round of changes addresses a few old Gentoo bugs regarding the spamd init scripts and configuration. First, the init script was missing a call to "checkpath" to ensure that the PID file had some place to live. That's now fixed. Second, it used to be the case that some configuration was necessary if you opted to run spamd as a non-root user. That is no longer the case, so all of the documentation surrounding that issue has been removed, and the config/init scripts greatly simplified. Finally, a SPAMD_TIMEOUT option was added to allow spamd a little bit of time when restarting or shutting down. Peter Gantner, Juan David Ibáñez Palomar, Marcin Mirosław, Frieder Bürzele, and a few other people helped out on those bugs. Thanks! Gentoo-Bug: 322025 Gentoo-Bug: 455604 Gentoo-Bug: 523960 Upstream-Bug: 7093 Upstream-Bug: 7199 Package-Manager: portage-2.2.28
* mail-filter/spamassassin: new major revision to install module man pages.Michael Orlitzky2016-06-031-0/+195
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | In bug 494260, it was reported that several man pages for SpamAssassin's perl modules are missing. This turns out to be the fault of the perl-module eclass, which deletes those man pages after they've been installed in src_install. To fix it, at the very least, would require avoiding perl-module_src_install(). It appears that we're not using too much functionality of that eclass, especially once a workaround for src_install is in place. So in this commit, I have removed the dependency on perl-module.eclass entirely and configured/built/installed the package "manually." This fixes the documentation bug. Now with the eclass gone, it became possible to move to EAPI=6, and this allowed even more code cleanup, such as the removal of src_prepare() and the use of the default src_test(). The eutils eclass is then no longer needed, and einstalldocs() can be used. After adding "test" to IUSE, I noticed that the "doc" USE flag was redundant and removed it. Finally, the postinst message was updated to point to a new wiki page, https://wiki.gentoo.org/wiki/SpamAssassin, which partially addresses bug 532094 and gets rid of some outdated information. Gentoo-Bug: 494260 Gentoo-Bug: 532094 Package-Manager: portage-2.2.28
* mail-filter/spamassassin: new revision to fix Net-DNS compatibility issues.Michael Orlitzky2016-06-034-0/+362
| | | | | | | | | | | | | | | | | | | | | | | | | With the stabilization of =dev-perl/Net-DNS-1.40.0 (and the removal of the older stable version), a number of problems were introduced in SpamAssassin. There are three upstream bugs with patches against the latest release, v3.4.1, which fix all sorts of DNS errors in blacklist checks, DKIM, and SPF. The major contribution of this new revision is to apply patches from those upstream bugs fixing compatibility with =dev-perl/Net-DNS-1.40.0. At the same time, bug 396307 has been fixed by creating the sa-update-keys directory and assigning it the proper permissions. Thanks are due to Olliver Schinagl, Philippe Chaintreuil, Marcin Mirosław, and Atman Sense who reported and investigated these issues. Gentoo-Bug: 396307 Gentoo-Bug: 579222 Upstream-Bug: 7223 Upstream-Bug: 7231 Upstream-Bug: 7265 Package-Manager: portage-2.2.28
* mail-filter/spamassassin: remove spamassassin-3.4.0 / spamassassin-3.4.1-r1Austin English2016-04-262-434/+0
| | | | Package-Manager: portage-2.2.26
* mail-filter/spamassassin: use #!/sbin/openrc-run instead of #!/sbin/runscriptAustin English2016-04-263-2/+436
| | | | | | Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=573846 Package-Manager: portage-2.2.26
* metadata.xml: Add maintainer-needed comment to packages without maintainer.Ulrich Müller2016-02-281-0/+1
| | | | Bug: 575810
* Remove explicit notion of maintainer-needed, for GLEP 67Michał Górny2016-01-241-4/+1
| | | | | | GLEP 67 removes the explicit notion of maintainer-needed@g.o being used for packages lacking maintainers, in favor of assuming maintainer-needed whenever the package has no maintainers.
* Unify quoting in metadata.xml files for machine processingMichał Górny2016-01-241-2/+2
| | | | | | | Force unified quoting in all metadata.xml files since lxml does not preserve original use of single and double quotes. Ensuring unified quoting before the process allows distinguishing the GLEP 67-related metadata.xml changes from unrelated quoting changes.
* mail-filter/spamassassin: add libressl supportJulian Ospald2015-10-031-0/+222
|
* Revert DOCTYPE SYSTEM https changes in metadata.xmlMike Gilbert2015-08-241-1/+1
| | | | | | | repoman does not yet accept the https version. This partially reverts eaaface92ee81f30a6ac66fe7acbcc42c00dc450. Bug: https://bugs.gentoo.org/552720
* Use https by defaultJustin Lecher2015-08-242-2/+2
| | | | | | Convert all URLs for sites supporting encrypted connections from http to https Signed-off-by: Justin Lecher <jlec@gentoo.org>
* Use https by defaultJustin Lecher2015-08-241-1/+1
| | | | | | Convert all URLs for sites supporting encrypted connections from http to https Signed-off-by: Justin Lecher <jlec@gentoo.org>
* proj/gentoo: Initial commitRobin H. Johnson2015-08-0810-0/+594
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed